package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表HTT_HHEAT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author lenovo-PC   date 2018-06-05
 */
@SuppressWarnings("serial")
public class HttEntrustedBillEntity implements java.io.Serializable {
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 工序点代码（上料。。。。）
     */
    private String stationCode = "";
    /**
     * 工序点名称
     */
    private String stationDesc = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外重量
     */
    private String subcontractWt = "";
    /**
     * 委外回报合格支数
     */
    private String hbCompleteNum = "";
    /**
     * 委外回报合格重量
     */
    private String hbCompleteWt = "";
    /**
     * 委托操作人
     */
    private String subcontractUser = "";
    /**
     * 委托操作班次
     */
    private String subcontractShift = "";
    /**
     * 委托操作班组
     */
    private String subcontractGroup = "";
    /**
     * 委托操作时间
     */
    private String subcontractTime = "";
    /**
     * 审批操作人
     */
    private String spUser = "";
    /**
     * 审批操作时间
     */
    private String spTime = "";
    /**
     * 委托单状态(00：初始值、10：审核通过、20审核不通过、30委外回报完毕)
     */
    private String subcontractLog = "";
    /**
     * 委外产线代码
     */
    private String subcontractPlineCode = "";
    /**
     * 委外产线描述
     */
    private String subcontractPlineName = "";
    /**
     * 委外说明(委托单位)
     */
    private String subcontractNote = "";
    /**
     * 委外回报废品支数
     */
    private String hbFpNum = "";
    /**
     * 委外回报废品重量
     */
    private String hbFpWt = "";
    /**
     * 审批说明
     */
    private String spNote = "";
    /**
     * 离线表主键
     */
    private String resultNo = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序点代码（上料。。。。）
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码（上料。。。。）
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外重量
     * @return value
     */
    public String getSubcontractWt() {
        return subcontractWt;
    }

    /**
     * 委外重量
     * @param subcontractWt value
     */
    public void setSubcontractWt(String subcontractWt) {
        this.subcontractWt = subcontractWt;
    }

    /**
     * 委外回报合格支数
     * @return value
     */
    public String getHbCompleteNum() {
        return hbCompleteNum;
    }

    /**
     * 委外回报合格支数
     * @param hbCompleteNum value
     */
    public void setHbCompleteNum(String hbCompleteNum) {
        this.hbCompleteNum = hbCompleteNum;
    }

    /**
     * 委外回报合格重量
     * @return value
     */
    public String getHbCompleteWt() {
        return hbCompleteWt;
    }

    /**
     * 委外回报合格重量
     * @param hbCompleteWt value
     */
    public void setHbCompleteWt(String hbCompleteWt) {
        this.hbCompleteWt = hbCompleteWt;
    }

    /**
     * 委托操作人
     * @return value
     */
    public String getSubcontractUser() {
        return subcontractUser;
    }

    /**
     * 委托操作人
     * @param subcontractUser value
     */
    public void setSubcontractUser(String subcontractUser) {
        this.subcontractUser = subcontractUser;
    }

    /**
     * 委托操作班次
     * @return value
     */
    public String getSubcontractShift() {
        return subcontractShift;
    }

    /**
     * 委托操作班次
     * @param subcontractShift value
     */
    public void setSubcontractShift(String subcontractShift) {
        this.subcontractShift = subcontractShift;
    }

    /**
     * 委托操作班组
     * @return value
     */
    public String getSubcontractGroup() {
        return subcontractGroup;
    }

    /**
     * 委托操作班组
     * @param subcontractGroup value
     */
    public void setSubcontractGroup(String subcontractGroup) {
        this.subcontractGroup = subcontractGroup;
    }

    /**
     * 委托操作时间
     * @return value
     */
    public String getSubcontractTime() {
        return subcontractTime;
    }

    /**
     * 委托操作时间
     * @param subcontractTime value
     */
    public void setSubcontractTime(String subcontractTime) {
        this.subcontractTime = subcontractTime;
    }

    /**
     * 审批操作人
     * @return value
     */
    public String getSpUser() {
        return spUser;
    }

    /**
     * 审批操作人
     * @param spUser value
     */
    public void setSpUser(String spUser) {
        this.spUser = spUser;
    }

    /**
     * 审批操作时间
     * @return value
     */
    public String getSpTime() {
        return spTime;
    }

    /**
     * 审批操作时间
     * @param spTime value
     */
    public void setSpTime(String spTime) {
        this.spTime = spTime;
    }

    /**
     * 委托单状态(00：初始值、10：审核通过、20审核不通过、30委外回报完毕)
     * @return value
     */
    public String getSubcontractLog() {
        return subcontractLog;
    }

    /**
     * 委托单状态(00：初始值、10：审核通过、20审核不通过、30委外回报完毕)
     * @param subcontractLog value
     */
    public void setSubcontractLog(String subcontractLog) {
        this.subcontractLog = subcontractLog;
    }

    /**
     * 委外产线代码
     * @return value
     */
    public String getSubcontractPlineCode() {
        return subcontractPlineCode;
    }

    /**
     * 委外产线代码
     * @param subcontractPlineCode value
     */
    public void setSubcontractPlineCode(String subcontractPlineCode) {
        this.subcontractPlineCode = subcontractPlineCode;
    }

    /**
     * 委外产线描述
     * @return value
     */
    public String getSubcontractPlineName() {
        return subcontractPlineName;
    }

    /**
     * 委外产线描述
     * @param subcontractPlineName value
     */
    public void setSubcontractPlineName(String subcontractPlineName) {
        this.subcontractPlineName = subcontractPlineName;
    }

    /**
     * 委外说明(委托单位)
     * @return value
     */
    public String getSubcontractNote() {
        return subcontractNote;
    }

    /**
     * 委外说明(委托单位)
     * @param subcontractNote value
     */
    public void setSubcontractNote(String subcontractNote) {
        this.subcontractNote = subcontractNote;
    }

    /**
     * 委外回报废品支数
     * @return value
     */
    public String getHbFpNum() {
        return hbFpNum;
    }

    /**
     * 委外回报废品支数
     * @param hbFpNum value
     */
    public void setHbFpNum(String hbFpNum) {
        this.hbFpNum = hbFpNum;
    }

    /**
     * 委外回报废品重量
     * @return value
     */
    public String getHbFpWt() {
        return hbFpWt;
    }

    /**
     * 委外回报废品重量
     * @param hbFpWt value
     */
    public void setHbFpWt(String hbFpWt) {
        this.hbFpWt = hbFpWt;
    }

    /**
     * 审批说明
     * @return value
     */
    public String getSpNote() {
        return spNote;
    }

    /**
     * 审批说明
     * @param spNote value
     */
    public void setSpNote(String spNote) {
        this.spNote = spNote;
    }

    /**
     * 离线表主键
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 离线表主键
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }
}